package com.prolog.cs.biz.outbound.model.dto;

import com.prolog.cs.biz.inbound.dto.IsSuperviseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description 外复核
 * @Date 2021-03-25
 */

@ApiModel
public class OuterTaskDDTO extends IsSuperviseDTO implements Serializable {

    private static final long serialVersionUID = 125884107396771656L;

    @ApiModelProperty(value = "条码头表id")
    private String barcodeId;

    @ApiModelProperty(value = "条码明细表id")
    private String barcodeDId;

    @ApiModelProperty(value = "拼箱编号")
    private Integer lclNo;

    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "类型（0-拼箱码 1-整件拣选码）")
    private String type;

    @ApiModelProperty(value = "状态（0-未打印，1-已打印）")
    private char printStatus;

    @ApiModelProperty(value = "条码")
    private String barcode;

    @ApiModelProperty(value = "仓库id")
    private String warehouseId;

    @ApiModelProperty(value = "复核状态： 0-未复核，1-已索取，5-已复核")
    private String checkStatus;

    @ApiModelProperty(value = "复核人工号/索取人工")
    private String checkerNo;


//    @ApiModelProperty(value = "收货单位(客户)编码")
//    private String shipperCode;

    @ApiModelProperty(value = "收货单位(客户)名称")
    private String shipperName;

    @ApiModelProperty(value = "运输路线")
    private String shipLineId;
   

    @ApiModelProperty(value = "商品id")
    private String itemId;

    @ApiModelProperty(value = "商品编码")
    private String itemCode;

    @ApiModelProperty(value = "商品名称")
    private String itemName;

    @ApiModelProperty(value = "商品规格")
    private String itemSpecs;

    @ApiModelProperty(value = "单位因子（包装数量/件数）")
    private BigDecimal conversionRate;

    @ApiModelProperty(value = "单位")
    private String uom;

    @ApiModelProperty(value = "批号")
    private String manufacturerLotNum;

    @ApiModelProperty(value = "生产厂家")
    private String manufacturer;


    @ApiModelProperty(value = "批次号")
    private String batchNum;

    @ApiModelProperty(value = "库区编码")
    private String warehouseAreaCode;

    @ApiModelProperty(value = "库位编码")
    private String locatorCode;

    @ApiModelProperty(value = "拼箱数")
    private int lcl;

    @ApiModelProperty(value = "整件")
    private int pcs;

    @ApiModelProperty(value = "总拼箱数")
    private int totLcl;

    @ApiModelProperty(value = "总整件")
    private int totPcs;


    @ApiModelProperty(value = "已复核-拼箱数")
    private int doLcl;

    @ApiModelProperty(value = "已复核-整件")
    private int doPcs;

    @ApiModelProperty(value = "货主名称")
    private String consignorName;

    @ApiModelProperty(value = "ERP来源单号")
    private String srcCode;

    @ApiModelProperty(value = "账期类型")
    private String paymentType;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "采购员/业务员")
    private String salespersonName;

    @ApiModelProperty(value = "部门")
    private String saleBranchName;

    @ApiModelProperty(value = "条码件数")
    private Integer barcodePcs;

    @ApiModelProperty(value = "冲红数量")
    private BigDecimal saleRedQty;

    private String pickTaskDId;

    public String getPaymentType() {
        return paymentType;
    }

    public void setPaymentType(String paymentType) {
        this.paymentType = paymentType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getSalespersonName() {
        return salespersonName;
    }

    public void setSalespersonName(String salespersonName) {
        this.salespersonName = salespersonName;
    }

    public String getSaleBranchName() {
        return saleBranchName;
    }

    public void setSaleBranchName(String saleBranchName) {
        this.saleBranchName = saleBranchName;
    }

    public String getSrcCode() {
        return srcCode;
    }

    public void setSrcCode(String srcCode) {
        this.srcCode = srcCode;
    }

    public String getConsignorName() {
        return consignorName;
    }

    public void setConsignorName(String consignorName) {
        this.consignorName = consignorName;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public String getCheckerNo() {
        return checkerNo;
    }

    public void setCheckerNo(String checkerNo) {
        this.checkerNo = checkerNo;
    }

    public int getLcl() {
        return lcl;
    }

    public void setLcl(int lcl) {
        this.lcl = lcl;
    }

    public int getPcs() {
        return pcs;
    }

    public void setPcs(int pcs) {
        this.pcs = pcs;
    }

    public String getShipperName() {
        return shipperName;
    }

    public void setShipperName(String shipperName) {
        this.shipperName = shipperName;
    }

    public Integer getLclNo() {
        return lclNo;
    }

    public void setLclNo(Integer lclNo) {
        this.lclNo = lclNo;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public char getPrintStatus() {
        return printStatus;
    }

    public void setPrintStatus(char printStatus) {
        this.printStatus = printStatus;
    }

    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public String getBarcodeId() {
        return barcodeId;
    }

    public void setBarcodeId(String barcodeId) {
        this.barcodeId = barcodeId;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(String checkStatus) {
        this.checkStatus = checkStatus;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getItemSpecs() {
        return itemSpecs;
    }

    public void setItemSpecs(String itemSpecs) {
        this.itemSpecs = itemSpecs;
    }

    public BigDecimal getConversionRate() {
        return conversionRate;
    }

    public void setConversionRate(BigDecimal conversionRate) {
        this.conversionRate = conversionRate;
    }

    public String getUom() {
        return uom;
    }

    public void setUom(String uom) {
        this.uom = uom;
    }

    public String getManufacturerLotNum() {
        return manufacturerLotNum;
    }

    public void setManufacturerLotNum(String manufacturerLotNum) {
        this.manufacturerLotNum = manufacturerLotNum;
    }

    public int getTotLcl() {
        return totLcl;
    }

    public void setTotLcl(int totLcl) {
        this.totLcl = totLcl;
    }

    public int getTotPcs() {
        return totPcs;
    }

    public void setTotPcs(int totPcs) {
        this.totPcs = totPcs;
    }

    public int getDoLcl() {
        return doLcl;
    }

    public void setDoLcl(int doLcl) {
        this.doLcl = doLcl;
    }

    public int getDoPcs() {
        return doPcs;
    }

    public void setDoPcs(int doPcs) {
        this.doPcs = doPcs;
    }

    public String getBatchNum() {
        return batchNum;
    }

    public void setBatchNum(String batchNum) {
        this.batchNum = batchNum;
    }

    public String getWarehouseAreaCode() {
        return warehouseAreaCode;
    }

    public void setWarehouseAreaCode(String warehouseAreaCode) {
        this.warehouseAreaCode = warehouseAreaCode;
    }

    public String getLocatorCode() {
        return locatorCode;
    }

    public void setLocatorCode(String locatorCode) {
        this.locatorCode = locatorCode;
    }

    public String getBarcodeDId() {
        return barcodeDId;
    }

    public void setBarcodeDId(String barcodeDId) {
        this.barcodeDId = barcodeDId;
    }

    public String getPickTaskDId() {
        return pickTaskDId;
    }

    public void setPickTaskDId(String pickTaskDId) {
        this.pickTaskDId = pickTaskDId;
    }

    public String getShipLineId() {
        return shipLineId;
    }

    public void setShipLineId(String shipLineId) {
        this.shipLineId = shipLineId;
    }

    public Integer getBarcodePcs() {
        return barcodePcs;
    }

    public void setBarcodePcs(Integer barcodePcs) {
        this.barcodePcs = barcodePcs;
    }

    public BigDecimal getSaleRedQty() {
        return saleRedQty;
    }

    public void setSaleRedQty(BigDecimal saleRedQty) {
        this.saleRedQty = saleRedQty;
    }
}
